version: "3"

volumes:
  production_postgres_data: {}
  production_postgres_data_backups: {}
  panda_media: {}

services:
  django:
    build:
      context: .
      dockerfile: ./compose/local/django/Dockerfile
    depends_on:
      postgresdb:
        condition: service_healthy
    volumes:
      - ./src:/app/src:z
      - panda_media:/app/media
      - ./data:/app/data
    env_file:
      - ./.envs/.local/.django
      - ./.envs/.local/.postgres
    ports:
      - "8000:8000"
    command: /start

  postgresdb:
    build:
      context: .
      dockerfile: ./compose/production/postgres/Dockerfile
    ports:
      - "5432:5432"
    volumes:
      - production_postgres_data:/var/lib/postgresql/data:Z
      - production_postgres_data_backups:/backups:z
    env_file:
      - ./.envs/.local/.postgres
    healthcheck:
      test: ["CMD", "pg_isready", "-U", "debug", "-d", "extracc" ]
      interval: 5s
      retries: 5

  pgadmin4:
    image: dpage/pgadmin4
    ports:
      - "5050:80"
    environment:
      - PGADMIN_DEFAULT_EMAIL=user@domain.com
      - PGADMIN_DEFAULT_PASSWORD=SuperSecret


  docs:
    build:
      context: .
      dockerfile: ./compose/local/docs/Dockerfile
    env_file:
      - ./.envs/.local/.django
    volumes:
     - ./documentation:/docs:z
    ports:
      - "7000:7000"
    command: /start-docs


 
